#-------------------------------------------------------------
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
#-------------------------------------------------------------


args <- commandArgs(TRUE)
options(digits=22)
library("Matrix")
library("matrixStats")

X = matrix(0.5, 600, 10);
ssX_V = matrix(0.9, 10, 1);
P = matrix(0.7, 600, 2);

Q = P[,1:1] * (X %*% ssX_V);
X = X;
R = t(X) %*% (Q - P[,1:1] * rowSums(Q));

writeMM(as(R, "CsparseMatrix"), paste(args[1], "R", sep="")); 
